searchNodes=[{"doc":"This module provides a function to calculate shipping based on one or more services.","ref":"ExCorreios.html","title":"ExCorreios","type":"module"},{"doc":"Calculate shipping based on one or more services. Examples iex&gt; dimensions = [%{diameter: 40, width: 11.0, height: 2.0, length: 16.0, weight: 0.9}] iex&gt; package = ExCorreios.Shipping.Packages.Package.build(:package_box, dimensions) iex&gt; shipping_params = %{ destination: &quot;05724005&quot;, origin: &quot;08720030&quot;, enterprise: &quot;&quot;, password: &quot;&quot;, receiving_alert: false, declared_value: 0, manually_entered: false } iex&gt; ExCorreios.calculate([:pac, :sedex], package, shipping_params) {:ok, [ %{ deadline: 5, declared_value: 0.0, error_code: &quot;0&quot;, error_message: &quot;&quot;, home_delivery: &quot;S&quot;, manually_entered_value: 0.0, notes: &quot;&quot;, receiving_alert_value: 0.0, response_status: &quot;0&quot;, saturday_delivery: &quot;N&quot;, service_code: &quot;04510&quot;, value: 19.8, value_without_additionals: 19.8 }, %{ deadline: 2, declared_value: 0.0, error_code: &quot;0&quot;, error_message: &quot;&quot;, home_delivery: &quot;S&quot;, manually_entered_value: 0.0, notes: &quot;&quot;, receiving_alert_value: 0.0, response_status: &quot;0&quot;, saturday_delivery: &quot;S&quot;, service_code: &quot;04014&quot;, value: 21.2, value_without_additionals: 21.2 } ] }","ref":"ExCorreios.html#calculate/4","title":"ExCorreios.calculate/4","type":"function"},{"doc":"Finds an address by a postal code. Examples iex&gt; ExCorreios.find_address(&quot;35588-000&quot;) {:ok, %{ city: &quot;Arcos&quot;, complement: &quot;&quot;, district: &quot;&quot;, postal_code: &quot;35588-000&quot;, state: &quot;MG&quot;, street: &quot;&quot; }} iex&gt; ExCorreios.find_address(&quot;00000-000&quot;) {:error, :invalid_postal_code}","ref":"ExCorreios.html#find_address/2","title":"ExCorreios.find_address/2","type":"function"},{"doc":"This module provides functions to get an address.","ref":"ExCorreios.Address.html","title":"ExCorreios.Address","type":"module"},{"doc":"","ref":"ExCorreios.Address.html#find/2","title":"ExCorreios.Address.find/2","type":"function"},{"doc":"","ref":"ExCorreios.Address.html#t:t/0","title":"ExCorreios.Address.t/0","type":"type"},{"doc":"This module builds the address request body.","ref":"ExCorreios.Address.Request.Body.html","title":"ExCorreios.Address.Request.Body","type":"module"},{"doc":"","ref":"ExCorreios.Address.Request.Body.html#build/1","title":"ExCorreios.Address.Request.Body.build/1","type":"function"},{"doc":"This module parses the address request response.","ref":"ExCorreios.Address.Request.Response.html","title":"ExCorreios.Address.Request.Response","type":"module"},{"doc":"","ref":"ExCorreios.Address.Request.Response.html#process/1","title":"ExCorreios.Address.Request.Response.process/1","type":"function"},{"doc":"This module calculates a shipping based on Correios services and package dimensions.","ref":"ExCorreios.Calculator.html","title":"ExCorreios.Calculator","type":"module"},{"doc":"Calculates a shipping.","ref":"ExCorreios.Calculator.html#calculate/4","title":"ExCorreios.Calculator.calculate/4","type":"function"},{"doc":"This module transforms a xml body of an http response into a map or a list of maps.","ref":"ExCorreios.Calculator.Request.Response.html","title":"ExCorreios.Calculator.Request.Response","type":"module"},{"doc":"","ref":"ExCorreios.Calculator.Request.Response.html#process/1","title":"ExCorreios.Calculator.Request.Response.process/1","type":"function"},{"doc":"This module builds an url based on shipping informations.","ref":"ExCorreios.Calculator.Request.Url.html","title":"ExCorreios.Calculator.Request.Url","type":"module"},{"doc":"","ref":"ExCorreios.Calculator.Request.Url.html#build/2","title":"ExCorreios.Calculator.Request.Url.build/2","type":"function"},{"doc":"This module provides a shipping struct.","ref":"ExCorreios.Calculator.Shipping.html","title":"ExCorreios.Calculator.Shipping","type":"module"},{"doc":"","ref":"ExCorreios.Calculator.Shipping.html#new/3","title":"ExCorreios.Calculator.Shipping.new/3","type":"function"},{"doc":"","ref":"ExCorreios.Calculator.Shipping.html#t:t/0","title":"ExCorreios.Calculator.Shipping.t/0","type":"type"},{"doc":"This module provides a package struct","ref":"ExCorreios.Calculator.Shipping.Package.html","title":"ExCorreios.Calculator.Shipping.Package","type":"module"},{"doc":"Build a package with one or more items to calculate shipping Examples iex&gt; dimensions = [%{diameter: 40, height: 2.0, length: 16.0, weight: 0.9, width: 11.0}] iex&gt; ExCorreios.Shipping.Packages.Package.build(:package_box, dimensions) %ExCorreios.Shipping.Packages.Package{ diameter: 40, format: 1, height: 2.0, length: 16.0, weight: 0.9, width: 11.0 } # it&#39;s possible to pass only the weight to build a package iex&gt; ExCorreios.Shipping.Packages.Package.build(:package_box, [%{weight: 0.3}]) %ExCorreios.Shipping.Packages.Package{ diameter: 0.0, format: 1, height: 2.0, length: 16.0, weight: 0.3, width: 11.0 }","ref":"ExCorreios.Calculator.Shipping.Package.html#build/2","title":"ExCorreios.Calculator.Shipping.Package.build/2","type":"function"},{"doc":"","ref":"ExCorreios.Calculator.Shipping.Package.html#get_format/1","title":"ExCorreios.Calculator.Shipping.Package.get_format/1","type":"function"},{"doc":"","ref":"ExCorreios.Calculator.Shipping.Package.html#t:t/0","title":"ExCorreios.Calculator.Shipping.Package.t/0","type":"type"},{"doc":"This module describes one or more shipping services.","ref":"ExCorreios.Calculator.Shipping.Service.html","title":"ExCorreios.Calculator.Shipping.Service","type":"module"},{"doc":"","ref":"ExCorreios.Calculator.Shipping.Service.html#get_service/1","title":"ExCorreios.Calculator.Shipping.Service.get_service/1","type":"function"},{"doc":"This module provides an http interface to communicate with Correios API.","ref":"ExCorreios.Request.Client.html","title":"ExCorreios.Request.Client","type":"module"},{"doc":"","ref":"ExCorreios.Request.Client.html#get/2","title":"ExCorreios.Request.Client.get/2","type":"function"},{"doc":"","ref":"ExCorreios.Request.Client.html#post/3","title":"ExCorreios.Request.Client.post/3","type":"function"}]